<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$fseries = $_SESSION["society_" . $dbname];
$success = false;
$maindb = 'crm';

$fseries = $_SESSION["series_" . $dbname];
$keycond = " and `series`='$fseries'";

$file = "crm.php";

$keyfld = "myvouch";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `mydt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `emailid` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `passport` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `category` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `edu` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `remark` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `mydt` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `emailid` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `passport` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `category` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `edu` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `remark` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `myvouch`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `mydt`";
}  else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
}  else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `emailid`";
}  else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `passport`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `category`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY `edu`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `remark`";
}
 
$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
   
mysqli_query($conn,  "Create temporary table `crm` SELECT Date_Format(`vouchdt`, '%d/%m/%Y') as mydt, myvouch,
                       remark, emailid, name, mobile,passport, category, edu FROM `$maindb` WHERE myvouch != ''  ")or die(mysqli_error($conn));
   
$srchresult = "SELECT *  FROM `crm` WHERE myvouch != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo"or die(mysqli_error($conn));
    
$result = mysqli_query($conn, $srchresult)or die(mysqli_error($conn));
//
//$query = "SELECT Date_Format(`vouchdt`, '%d/%m/%Y') as mydt,myvouch ,manualno, paxname, mobile,passport, broker,doctor FROM `medent`
//                 WHERE myvouch != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
//$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
 
    $rows[] = [ 'success' => true,
        'value'     => $ctr,
        'keyfld'    => $keyfld,
        'mydt'      => $r['mydt'],
        'name'      => $r['name'],
        'emailid'   => $r['emailid'],
        'mobile'    => $r['mobile'],
        'passport'  => $r['passport'],
        'category'  => $r['category'],
        'edu'       => $r['edu'],
        'remark'       => $r['remark'],
        'action'    => "$file?mode=edit&myvouch=$r[myvouch]",
    ];
    $ctr++;
}

header("Content-type: application\json");
echo json_encode($rows);
